Đến nội dung


Hình ảnh

3D


  • Please log in to reply
6 replies to this topic

#1 NGUYENKHACDAT

NGUYENKHACDAT

    biết zoom

  • Members
  • Pip
  • 17 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 07 November 2008 - 09:11 AM

Trong vẽ 3D có cách nào extrude theo một path mà path đó là một đường line và spline không? bác nào biết giúp e nhé!
Thank các bác trước nhe!
  • 0

#2 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 07 November 2008 - 09:21 AM

Trong vẽ 3D có cách nào extrude theo một path mà path đó là một đường line và spline không? bác nào biết giúp e nhé!
Thank các bác trước nhe!

Bạn thay đổi thông số Thickness của đối tượng. Bằng cách chọn đối tượng, nhấn phím Ctr+1 để bật hộp thoại properties (nếu nó chưa hiện) rồi sửa giá trị Thickness.
  • 0

#3 NGUYENKHACDAT

NGUYENKHACDAT

    biết zoom

  • Members
  • Pip
  • 17 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 07 November 2008 - 09:44 AM

bác có thể nói rõ hơn cho e được không!
khi e đùn theo spline độc lập thì em đùn được nhưng khi e dùng path là line và spline thi cad không cho pedit line đó và đường spline thành một đường dẫn. từ trước tới giờ e vẫn phải vẽ cả hai thiết diện rồi đùn em thấy mất thời gian quá. bác hướng dẫn cụ thể cho e được không!
a làm thử hộ em vào bản nay xem có đc ko a!
link:http://www.cadviet.com/upfiles/3D_2.dwg
  • 0

#4 nguyenhuyhoang

nguyenhuyhoang

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 749 Bài viết
Điểm đánh giá: 426 (tốt)

Đã gửi 07 November 2008 - 10:48 AM

bác có thể nói rõ hơn cho e được không!
khi e đùn theo spline độc lập thì em đùn được nhưng khi e dùng path là line và spline thi cad không cho pedit line đó và đường spline thành một đường dẫn. từ trước tới giờ e vẫn phải vẽ cả hai thiết diện rồi đùn em thấy mất thời gian quá. bác hướng dẫn cụ thể cho e được không!
a làm thử hộ em vào bản nay xem có đc ko a!
link:http://www.cadviet.com/upfiles/3D_2.dwg

Để Extude 1 lần cho Path là SPL và line thì không được vì không PE đượic 2 đối tượng này.
Link của bạn post lên không xem được. Nhưng bạn thay lệnh Extrude bằng Sweep thì sẽ nhanh hơn mặc dù cũng phải làm 2 lần. Tuy nhiên Sweep sẽ thuận tiện hơn nhiều EXT vì bạn có thể vẽ biên dạng mặt cắt muốn đùn (VD biên dạng tròn) ở bất kỳ vị trí nào, hình chiếu nào - sau đó dùng Sweep - chọn biên dạng tròn (vẽ 2 cái) - chọn Line - tương tự chọn SPL.
  • 0

#5 NGUYENKHACDAT

NGUYENKHACDAT

    biết zoom

  • Members
  • Pip
  • 17 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 07 November 2008 - 11:03 AM

cảm ơn bác Hoanh cả bác Hoang nữa nhé!e cảm thấy diễn đàn thật bổ ích.
  • 0

#6 oizdoi_oi

oizdoi_oi

    biết dimlinear

  • Members
  • PipPipPipPipPip
  • 306 Bài viết
Điểm đánh giá: 452 (tốt)

Đã gửi 07 November 2008 - 01:56 PM

bác có thể nói rõ hơn cho e được không!
khi e đùn theo spline độc lập thì em đùn được nhưng khi e dùng path là line và spline thi cad không cho pedit line đó và đường spline thành một đường dẫn. từ trước tới giờ e vẫn phải vẽ cả hai thiết diện rồi đùn em thấy mất thời gian quá. bác hướng dẫn cụ thể cho e được không!
a làm thử hộ em vào bản nay xem có đc ko a!
link:http://www.cadviet.com/upfiles/3D_2.dwg

nếu bạn muốn extrude 1 lần thì bạn có thể dùng list để biến spline thành pline sau đó nối 2 đoạn đó lại rồi EXT bình thường cách thứ 2 là bạn copy them 1 đường tròn rồi EXT sau đó UNION 2 cái lại là OK và đây là hình của bạn

Hình đã gửi

đây là list chuyển spl thành polyline

;; Spline2Pline.lsp © 2005 Lloyd Beachy
;; Routine to convert splines to plines

(Defun C:S2P (/ ss pt# cmdecho osmode clayer count ent lay lng pt-list
cnt)
(vl-load-com)
(setq ss (ssget '((0 . "spline")))
pt# (getint "Enter number of segments <100>:")
cmdecho (getvar "cmdecho")
osmode (getvar "osmode")
clayer (getvar "clayer")
count 0 ;spline counter
) ;end setq
(if (null pt#)
(setq pt# 100)
)
(setvar "cmdecho" 0)
(command ".undo" "begin") ;begin undo group
(setvar "osmode" 0)
(repeat (sslength ss) ;repeat for each spline
(setq ent (vlax-ename->vla-object (ssname ss count))
;change spline to vla-object
lay (vlax-get-property ent "layer");spline's layer
lng (vlax-curve-getDistAtPoint ent (vlax-curve-getEndPoint ent))
;length of spline
pt-list (list (vlax-curve-getStartPoint ent))
;coords for start of spline
cnt 1.0 ;segment counter
) ;end setq
(repeat pt# ;repeat for each segment
(setq pt-list
(cons (vlax-curve-getPointAtDist ent (* lng (/ cnt pt#)))
pt-list
)
) ;add segment's point to pt-list
(setq cnt (1+ cnt)) ;counter to next segment
) ;end segment repeat
(setq cnt 0) ;pline counter
(setvar "clayer" lay) ;match spline's layer
(command ".pline" ;start "pline" command
(repeat (length pt-list);repeat for each point
(command (nth cnt pt-list));enter current point
(setq cnt (1+ cnt));counter to next point
"" ;return value to close "pline" command
) ;end point repeat
) ;end command
(setq count (1+ count)) ;counter to next spline
) ;end spline repeat
(command ".erase" ss "")
(setvar "osmode" osmode)
(setvar "clayer" clayer)
(command ".undo" "end") ;end of undo group
(setvar "cmdecho" cmdecho)
(princ) ;exit quietly
) ;end C:S2P
  • 2
KTS không bao giờ chết đói...mà chỉ đói đến lúc chết!

#7 NGUYENKHACDAT

NGUYENKHACDAT

    biết zoom

  • Members
  • Pip
  • 17 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 07 November 2008 - 08:38 PM

cách mà bác oizdoi nói cũng hay! thank bác nhé.
  • 0